
From: Thierry Vignaud <tvignaud@mandrakesoft.com>

The GDRVINFO command of the ETHTOOL ioctl returns a bogus driver name.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ieee1394/eth1394.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ieee1394/eth1394.c~fix-driver-name-in-eth1394-as-returned-by-ethtool_gdrvinfo drivers/ieee1394/eth1394.c
--- 25/drivers/ieee1394/eth1394.c~fix-driver-name-in-eth1394-as-returned-by-ethtool_gdrvinfo	Tue Sep 14 18:13:05 2004
+++ 25-akpm/drivers/ieee1394/eth1394.c	Tue Sep 14 18:13:05 2004
@@ -132,7 +132,7 @@ struct eth1394_node_info {
 };
 
 /* Our ieee1394 highlevel driver */
-#define ETH1394_DRIVER_NAME "ip1394"
+#define ETH1394_DRIVER_NAME "eth1394"
 static const char driver_name[] = ETH1394_DRIVER_NAME;
 
 static kmem_cache_t *packet_task_cache;
_
